Subject: Re: About disabling congestion control

From: Stephen Hemminger <[email-masked]>
Date: Thu, 6 Jan 2011 17:37:58 -0800

On Thu, 6 Jan 2011 20:25:18 -0500
Syed Obaid Amin <[email-masked]> wrote:

> Hey all,
> 
> I am currently working on a socket option to disable the tcp
> congestion control. I think the simplest approach to do this is to
> ignore cwnd before sending out a packet.
> 
> After going through tcp output engine it seems that tcp_cwnd_test is
> the method that decides that how many segments can be sent out on a
> wire. For testing it out, I changed this method so that if no-cc
> option is ON, just return a big constant value. But, it didn't work
> and I am unable to see a burst of pkts. It looks like that I am
> missing something here.
> 
> Any suggestions that what is the right place to look for disabling the
> congestion control ?
> 
> Thanks much!
> 
> Obaid

I assume this is just a local hack experiment; not something you
want to actually submit for other users to use...

The easiest/safest way to do this would be to build/define a new TCP congestion
control type that does nothing.